QGIS Application - Bug report #9280

"Add postgis layer"” creates a connection that is not removed until qgis is terminated

2014-01-01 01:19 PM - Matt Veenstra

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?:
Operating System: Windows Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corrupls data:

No
No
fixed/implemented

Copied to github as #: 17892

Description

This is observed by monitoring the pgadmin Ill server status window while adding and removing postgis layers.

When adding a postgis layer, upon clicking "connect" in the dialogue box, 1 connection is created; then, clicking "add" layer to map

creates an additional connection. The second connection is removed when the layer is removed from the map; however, the first

connection is never removed and remains until qgis is exited.

Qgis 2.0.1
PostgreSQL 9.2.4
Postgis 2.0.3

Associated revisions

Revision 1215d0b0 - 2014-01-03 09:01 PM - Jiirgen Fischer
postgres provider:
- fix connection cleanup from threads

- fix disconnection of style functions

fixes #9280 (adapted PR#1051)

History

#1 - 2014-01-03 01:02 AM - Alvaro Huarte
- Pull Request or Patch supplied changed from No to Yes
- Resolution set to fixed/implemented

| propose this pull request:
https://github.com/qgis/QGIS/pull/1051

#2 - 2014-01-03 12:02 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"1215d0b016367f6f7ce6e938b326a26227766a97".
